
Redmine - Patch #3927

Plugin genarator creates testcase which is imcompatible with rails 2.3.4

2009-09-26 15:31 - Haruyuki Iida

Status: Closed Start date: 2009-09-26

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Description

In rails 2.3, unit testcase must extends ActiveSupport::TestCase instead of Test::Unit::TestCase.

Here is patch for lib/generators/redmine_plugin_model/templates/unit_test.rb.erb.

Regards.

Associated revisions

Revision 2926 - 2009-10-17 23:08 - Eric Davis

Fixed the generated test in the redmine_plugin_model. (#3927)

History

#1 - 2009-10-01 00:28 - Eric Davis

- Category set to Plugin API

- Status changed from New to 7

- Assignee set to Eric Davis

#2 - 2009-10-17 23:04 - Eric Davis

- Status changed from 7 to Closed

- % Done changed from 0 to 100

Applied in r2926, thanks for the patch.

Files

unit_test.rb.erb.diff 565 Bytes 2009-09-26 Haruyuki Iida
